> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search People



## OpenAPI

````yaml /partner-api/openapi.json post /api/Search/SearchPeople
openapi: 3.0.1
info:
  title: SeekOut Partner API
  version: '1.0'
  description: >-
    The SeekOut Partner API provides direct, programmatic REST access to
    SeekOut's talent search engine. Use it to build custom integrations,
    dashboards, scheduled jobs, and backend workflows for candidate search,
    profile matching, contact retrieval, and analytics. Authenticate every
    request with your `Api-Key` header, provisioned by your SeekOut
    representative.
servers:
  - url: https://partnerapi.seekout.io
    description: SeekOut Partner API
security:
  - ApiKey: []
paths:
  /api/Search/SearchPeople:
    post:
      tags:
        - Search
      summary: Search People
      operationId: searchPeople
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PeopleSearch.Api.PartnerSearchPeopleRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/PeopleSearch.Api.PartnerSearchPeopleRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PeopleSearch.Api.PartnerSearchPeopleRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PeopleSearch.Api.PartnerSearchPeopleRequest'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: string
            application/json:
              schema:
                type: string
            text/json:
              schema:
                type: string
components:
  schemas:
    PeopleSearch.Api.PartnerSearchPeopleRequest:
      type: object
      properties:
        api_key:
          type: string
          nullable: true
        transaction_id:
          type: string
          nullable: true
        webhook_url:
          type: string
          nullable: true
        query:
          $ref: '#/components/schemas/PeopleSearch.Public.PeopleSearchQuery'
        page_number:
          type: integer
          format: int32
      additionalProperties: false
    PeopleSearch.Public.PeopleSearchQuery:
      type: object
      properties:
        name:
          type: string
          nullable: true
        index:
          $ref: '#/components/schemas/SeekOut.Data.Graph.Countries.Index'
        cache_scope:
          type: string
          nullable: true
        company:
          type: integer
          format: int32
          nullable: true
        suggested_companies:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        title:
          type: integer
          format: int32
          nullable: true
        facets:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.FacetQuery'
          nullable: true
        extra_select_fields:
          type: array
          items:
            type: string
          nullable: true
        extra_highlight_fields:
          type: array
          items:
            type: string
          nullable: true
        highlight_pre_tag:
          type: string
          nullable: true
        highlight_post_tag:
          type: string
          nullable: true
        extra_search_fields:
          type: array
          items:
            type: string
          nullable: true
        connectionId:
          type: string
          nullable: true
        compliant:
          type: boolean
        filters:
          $ref: '#/components/schemas/PeopleSearch.Public.Filters'
        generate_captions:
          type: boolean
          nullable: true
        search:
          type: string
          nullable: true
        skip:
          type: integer
          format: int32
          nullable: true
        top:
          type: integer
          format: int32
          nullable: true
        exclude_recruiters:
          type: boolean
          nullable: true
        exclude_sales:
          type: boolean
          nullable: true
        exclude_leadership:
          type: boolean
          nullable: true
        boost_diverse_profiles:
          type: boolean
          nullable: true
        power_filters:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.PowerFilters.PowerFilter'
          nullable: true
        power_filter_options:
          $ref: '#/components/schemas/PeopleSearch.PowerFilters.PowerFilterOptions'
        tag:
          type: string
          nullable: true
        augment_query:
          type: boolean
          nullable: true
        query_rewrite:
          type: string
          nullable: true
        query_parts:
          type: array
          items:
            $ref: '#/components/schemas/System.Tuple.StringStringString'
          nullable: true
        is_simple_search_query:
          type: boolean
        match_type:
          $ref: '#/components/schemas/SeekOut.Data.Graph.SmartMatchMatchType'
        require_high_quality_result_set:
          type: boolean
          nullable: true
        company_id:
          type: string
          nullable: true
        org_root:
          type: string
          nullable: true
        team_ids:
          type: array
          items:
            type: string
          nullable: true
        order_by:
          type: array
          items:
            type: string
          nullable: true
        or_filter_keys:
          type: array
          items:
            type: string
          nullable: true
        include_github:
          type: boolean
          nullable: true
        include_stackoverflow:
          type: boolean
          nullable: true
        include_expert:
          type: boolean
          nullable: true
        include_healthcare:
          type: boolean
          nullable: true
        include_nursing:
          type: boolean
          nullable: true
        includeMergedProfiles:
          type: boolean
          readOnly: true
      additionalProperties: false
    SeekOut.Data.Graph.Countries.Index:
      enum:
        - 'Null'
        - Sampled
        - UnitedStates
        - NorthAmerica
        - SouthAmerica
        - Europe
        - Africa
        - Asia
        - Oceania
        - Antarctica
        - Other
        - Extension
        - Curated
        - Match
        - GitHub
        - Expert
        - VerticalSearch
        - ATS
        - Referrals
        - Employee
        - NorthAmerica2
        - ATSJob
        - PublicJob
        - None
        - NorthAmerica3
        - Healthcare
        - ATSAutosuggest
        - ExpertAutosuggest
        - HealthcareAutosuggest
        - GitHubAutosuggest
        - Autosuggest
        - EmployeeAutosuggest
        - ExpertSuggestions
        - PublicJobAutosuggest
        - EmployeeFields
        - ATSFields
        - CustomSearch
        - RecruiterLinkedin
        - PublicProfilesTest
        - PublicProfilesPrevTest
        - Nursing
        - NursingAutosuggest
        - Match2
      type: string
    PeopleSearch.Public.FacetQuery:
      type: object
      properties:
        facet_type:
          $ref: '#/components/schemas/PeopleSearch.Public.PeopleSearchFacet'
        count:
          type: integer
          format: int32
          nullable: true
        interval:
          type: integer
          format: int32
          nullable: true
        range:
          type: array
          items:
            type: string
          nullable: true
        dynamic_facet_query:
          type: string
          nullable: true
        dynamic_facet_name:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.Filters:
      type: object
      properties:
        keys:
          $ref: '#/components/schemas/PeopleSearch.ListFilter'
        company:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        current_company:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        prev_company:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        title:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        current_title:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        prev_title:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        internal_title:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        past_company:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        past_title:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        required_skills:
          $ref: '#/components/schemas/PeopleSearch.ToggleStringFilter'
        preferred_skills:
          $ref: '#/components/schemas/PeopleSearch.ToggleStringFilter'
        position:
          $ref: '#/components/schemas/PeopleSearch.Public.PositionFilter'
        salary:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        seniority:
          $ref: '#/components/schemas/PeopleSearch.Public.SeniorityFilter'
        specialization:
          $ref: '#/components/schemas/PeopleSearch.Public.SpecializationFilter'
        partition:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        years_of_experience:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        preferred_years_of_experience:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        years_in_company:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        start_date_in_company:
          $ref: '#/components/schemas/PeopleSearch.DateFilter'
        start_date_in_role:
          $ref: '#/components/schemas/PeopleSearch.DateFilter'
        years_in_role:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        company_size:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        cost_of_living:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        diversity:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        location:
          $ref: '#/components/schemas/PeopleSearch.Public.LocationFilter'
        preferred_location:
          $ref: '#/components/schemas/PeopleSearch.Public.LocationFilter'
        office_location:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        office_location2:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        department:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        manager:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        hierarchy:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        org_size:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        org_depth:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        time_zone:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        employee_type:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        employee_deleted:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        state:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        country:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        school:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        major:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        degree:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        preferred_degree:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        education:
          $ref: '#/components/schemas/PeopleSearch.Public.EducationFilter'
        industry:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        skills:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        key_phrases:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        power_filters:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        languages:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        certifications:
          $ref: '#/components/schemas/PeopleSearch.Public.EntityFilter'
        volunteering:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        groups:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        distribution_lists:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        internal_projects:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        internal_skills:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        future_titles:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        internal_technologies:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        courses:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        interests:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        honors_awards:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        position_transitions:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        country_origin:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        likely_to_switch:
          $ref: '#/components/schemas/PeopleSearch.DoubleFilter'
        has_github:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        has_expert:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        custom_filter:
          $ref: '#/components/schemas/PeopleSearch.Public.CustomFilter'
        dynamic_filter:
          $ref: '#/components/schemas/PeopleSearch.Public.DynamicFilter'
        alumni_filter:
          $ref: '#/components/schemas/PeopleSearch.Public.AlumniFilter'
        is_matched:
          $ref: '#/components/schemas/PeopleSearch.BooleanFilter'
        is_private:
          $ref: '#/components/schemas/PeopleSearch.BooleanFilter'
        is_deleted:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        compensation_grade:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        last_updated:
          $ref: '#/components/schemas/PeopleSearch.DateFilter'
        applications:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.ApplicationFilter'
          nullable: true
        tags:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
      additionalProperties: false
    PeopleSearch.PowerFilters.PowerFilter:
      type: object
      properties:
        id:
          type: string
          nullable: true
        cur_powerfltr_update_dt:
          type: string
          nullable: true
        is_placeHolder:
          type: boolean
          nullable: true
        src_powerfltr_type:
          $ref: '#/components/schemas/PeopleSearch.PowerFilters.PowerFilterType'
        powerfltr_last_update_dt:
          type: string
          nullable: true
        searchType:
          type: string
          nullable: true
        is_searchable:
          type: boolean
          nullable: true
        is_filterable:
          type: boolean
          nullable: true
        is_facetable:
          type: boolean
          nullable: true
        name:
          type: string
          nullable: true
        category:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        role_query:
          type: string
          nullable: true
        filter_query:
          type: string
          nullable: true
        ranking_query:
          type: string
          nullable: true
        search:
          type: string
          nullable: true
        previous_filter:
          type: string
          nullable: true
        filter:
          type: string
          nullable: true
        author:
          type: string
          nullable: true
        prev_count:
          type: integer
          format: int32
          nullable: true
        count:
          type: integer
          format: int32
          nullable: true
        score:
          type: number
          format: double
          nullable: true
        suggestion_terms:
          type: array
          items:
            type: string
          nullable: true
        parameters:
          $ref: '#/components/schemas/PeopleSearch.PowerFilters.PowerFilterParameters'
        version:
          type: string
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.PowerFilters.PowerFilterOptions:
      type: object
      properties:
        within_categories:
          $ref: >-
            #/components/schemas/PeopleSearch.PowerFilters.PowerFilterWithinCategoryOptions
        between_categories:
          $ref: >-
            #/components/schemas/PeopleSearch.PowerFilters.PowerFilterBetweenCategoryOptions
      additionalProperties: false
    System.Tuple.StringStringString:
      type: object
      properties:
        item1:
          type: string
          nullable: true
        item2:
          type: string
          nullable: true
        item3:
          type: string
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.SmartMatchMatchType:
      enum:
        - COMPLETE
        - PARTIAL
      type: string
    PeopleSearch.Public.PeopleSearchFacet:
      enum:
        - none
        - current_company
        - company
        - current_title
        - title
        - past_company
        - past_title
        - salary
        - graduation_year
        - years_of_experience
        - years_in_role
        - years_in_company
        - company_size
        - location
        - state
        - country
        - school
        - major
        - degree
        - industry
        - skills
        - key_phrases
        - prog_lang
        - languages
        - certifications
        - volunteering
        - groups
        - courses
        - interests
        - honors_awards
        - position
        - diversity
        - country_origin
        - power_filters
        - tags
        - office_location
        - office_location2
        - internal_title
        - department
        - manager/name_email
        - hierarchy/name_email
        - org_size
        - employee_type
        - start_date_in_role
        - start_date_in_company
        - distribution_lists
        - internal_projects
        - internal_skills
        - future_titles
        - internal_technologies
        - is_eligible
        - compensation_grade
        - time_zone
        - prev_company
        - prev_title
        - prev_position
        - cur_position
        - cur_seniority
        - cur_title_specialization
      type: string
    PeopleSearch.ListFilter:
      type: object
      properties:
        values:
          type: array
          items:
            type: string
          nullable: true
        exclude:
          type: boolean
          nullable: true
        isValid:
          type: boolean
          readOnly: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.EntityFilter:
      type: object
      properties:
        ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        partial_match_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        relaxed:
          type: boolean
          nullable: true
        alt_names:
          type: array
          items:
            type: string
          nullable: true
        negative_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        negative_alt_names:
          type: array
          items:
            type: string
          nullable: true
        operator:
          $ref: '#/components/schemas/PeopleSearch.Public.Operator'
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.StringFilter:
      type: object
      properties:
        values:
          type: array
          items:
            type: string
          nullable: true
        exclude:
          type: boolean
          nullable: true
        collection:
          type: boolean
          nullable: true
        search:
          type: string
          nullable: true
        operator:
          $ref: '#/components/schemas/PeopleSearch.Public.Operator'
        isValid:
          type: boolean
          readOnly: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.ToggleStringFilter:
      type: object
      properties:
        values:
          type: array
          items:
            type: string
          nullable: true
        excluded_values:
          type: array
          items:
            type: string
          nullable: true
        collection:
          type: boolean
          nullable: true
        isValid:
          type: boolean
          readOnly: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.PositionFilter:
      type: object
      properties:
        start:
          type: integer
          format: int32
          nullable: true
        end:
          type: integer
          format: int32
          nullable: true
        company_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        title_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.IntegerFilter:
      type: object
      properties:
        exclude:
          type: boolean
          nullable: true
        min:
          type: integer
          format: int32
          nullable: true
        max:
          type: integer
          format: int32
          nullable: true
        equal:
          type: integer
          format: int32
          nullable: true
        values:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.SeniorityFilter:
      type: object
      properties:
        values:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.SeniorityLevel'
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.SpecializationFilter:
      type: object
      properties:
        values:
          type: array
          items:
            type: string
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.DateFilter:
      type: object
      properties:
        min:
          type: string
          format: date-time
          nullable: true
        max:
          type: string
          format: date-time
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.LocationFilter:
      type: object
      properties:
        ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        expanded_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        alt_names:
          type: array
          items:
            type: string
          nullable: true
        negative_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        negative_alt_names:
          type: array
          items:
            type: string
          nullable: true
        radius:
          type: integer
          format: int32
          nullable: true
        search:
          type: string
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.EducationFilter:
      type: object
      properties:
        start:
          type: integer
          format: int32
          nullable: true
        end:
          type: integer
          format: int32
          nullable: true
        school_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        major_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        degree_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.DoubleFilter:
      type: object
      properties:
        min:
          type: number
          format: double
          nullable: true
        max:
          type: number
          format: double
          nullable: true
        equal:
          type: number
          format: double
          nullable: true
        isValid:
          type: boolean
          readOnly: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.CustomFilter:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.CustomInstanceFilter'
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.DynamicFilter:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleSearch.Public.DynamicFilter_DynamicFilterInternal
          nullable: true
        inclusive:
          type: boolean
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.AlumniFilter:
      type: object
      properties:
        start:
          type: integer
          format: int32
          nullable: true
        end:
          type: integer
          format: int32
          nullable: true
        company_id:
          type: integer
          format: int32
          nullable: true
        company_ids:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
        company_name:
          type: string
          nullable: true
        company_names:
          type: array
          items:
            type: string
          nullable: true
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.BooleanFilter:
      type: object
      properties:
        value:
          type: boolean
          nullable: true
        negate:
          type: boolean
          nullable: true
        operator:
          $ref: '#/components/schemas/PeopleSearch.Public.Operator'
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.ApplicationFilter:
      type: object
      properties:
        application_id:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        application_type:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        applied_at:
          $ref: '#/components/schemas/PeopleSearch.DateFilter'
        rejected_at:
          $ref: '#/components/schemas/PeopleSearch.DateFilter'
        last_activity:
          $ref: '#/components/schemas/PeopleSearch.DateFilter'
        location:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        source:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        referral:
          $ref: '#/components/schemas/PeopleSearch.BooleanFilter'
        rejection_reason:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        withdrawal_reason:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        job:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        job_id:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        requisition_id:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        status:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        sub_status:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        current_stage:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        prospect_pool:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        operator:
          $ref: '#/components/schemas/PeopleSearch.Public.Operator'
        combination:
          $ref: '#/components/schemas/PeopleSearch.Public.FilterCombination'
        negate:
          type: boolean
        application_list:
          type: boolean
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.PowerFilters.PowerFilterType:
      enum:
        - PublicProfiles
        - Github
        - Expert
        - Jobs
        - Seniority
        - Nursing
        - NurseType
        - Healthcare
        - OtherHealthcare
      type: string
    PeopleSearch.PowerFilters.PowerFilterParameters:
      type: object
      properties:
        range:
          $ref: >-
            #/components/schemas/PeopleSearch.PowerFilters.RangePowerFilterParameter
        type:
          $ref: >-
            #/components/schemas/PeopleSearch.PowerFilters.PowerFilterParameterType
      additionalProperties: false
    PeopleSearch.PowerFilters.PowerFilterWithinCategoryOptions:
      type: object
      properties:
        combinations:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleSearch.PowerFilters.PowerFilterWithinCategoryCombination
          nullable: true
      additionalProperties: false
    PeopleSearch.PowerFilters.PowerFilterBetweenCategoryOptions:
      type: object
      properties:
        combine_with:
          $ref: >-
            #/components/schemas/PeopleSearch.PowerFilters.PowerFilterCombination
      additionalProperties: false
    PeopleSearch.Public.Operator:
      enum:
        - or
        - and
        - and_not
      type: string
    PeopleSearch.Public.SeniorityLevel:
      enum:
        - Student
        - Intern
        - Entry
        - Senior
        - Manager
        - Director
        - Executive
      type: string
    PeopleSearch.Public.CustomInstanceFilter:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/PublicProfile.CompanyDataType'
        tag_values:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.TagValues'
          nullable: true
        start_date:
          type: string
          format: date-time
          nullable: true
        end_date:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.DynamicFilter_DynamicFilterInternal:
      required:
        - name
      type: object
      properties:
        name:
          type: string
        raw_query:
          type: string
          nullable: true
        sub_field:
          type: string
          nullable: true
        string_filter:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        date_filter:
          $ref: '#/components/schemas/PeopleSearch.DateFilter'
        bool_filter:
          $ref: '#/components/schemas/PeopleSearch.BooleanFilter'
        nesting_filter:
          $ref: '#/components/schemas/PeopleSearch.Public.NestingFilter'
        integer_filter:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
      additionalProperties: false
    PeopleSearch.Public.FilterCombination:
      enum:
        - 'NULL'
        - ANY
        - ALL
      type: string
    PeopleSearch.PowerFilters.RangePowerFilterParameter:
      type: object
      properties:
        start:
          type: integer
          format: int32
          nullable: true
        end:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    PeopleSearch.PowerFilters.PowerFilterParameterType:
      enum:
        - EXPLICIT_MATCH
        - INFERRED_MATCH
        - CURRENT
        - PAST
      type: string
    PeopleSearch.PowerFilters.PowerFilterWithinCategoryCombination:
      required:
        - category_id
        - combine_with
      type: object
      properties:
        category_id:
          type: string
        combine_with:
          $ref: >-
            #/components/schemas/PeopleSearch.PowerFilters.PowerFilterCombination
      additionalProperties: false
    PeopleSearch.PowerFilters.PowerFilterCombination:
      enum:
        - 'Null'
        - Or
        - And
      type: string
    PublicProfile.CompanyDataType:
      enum:
        - ATS
        - Referral
        - ApplicantReview
      type: string
    PeopleSearch.Public.TagValues:
      type: object
      properties:
        name:
          type: string
          nullable: true
        string_filter:
          $ref: '#/components/schemas/PeopleSearch.StringFilter'
        date_filter:
          $ref: '#/components/schemas/PeopleSearch.DateFilter'
        bool_filter:
          $ref: '#/components/schemas/PeopleSearch.BooleanFilter'
        integer_filter:
          $ref: '#/components/schemas/PeopleSearch.IntegerFilter'
        double_filter:
          $ref: '#/components/schemas/PeopleSearch.DoubleFilter'
        long_filter:
          $ref: '#/components/schemas/PeopleSearch.DoubleFilter'
      additionalProperties: false
    PeopleSearch.Public.NestingFilter:
      required:
        - name
      type: object
      properties:
        name:
          type: string
        filters:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleSearch.Public.DynamicFilter_DynamicFilterInternal
          nullable: true
        operator:
          $ref: '#/components/schemas/PeopleSearch.Public.Operator'
        exclude:
          type: boolean
        ignore:
          type: boolean
          nullable: true
        categorization_filter:
          type: boolean
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Api-Key
      description: >-
        Organization-scoped API key provisioned by SeekOut. Send it in the
        `Api-Key` header on every request.

````